=== debian/changelog ===
deskflow (1.25.0+dfsg-3) unstable; urgency=medium

  * debian/control
    - Update package description. Suggested by David Starner (Closes: #1122843)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 19 Dec 2025 19:50:57 +0900

deskflow (1.25.0+dfsg-2) unstable; urgency=medium

  * debian/control
    - Mark i386,sh4 unsupported

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 26 Nov 2025 13:01:02 +0900

deskflow (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.25.0+dfsg

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 25 Nov 2025 13:17:58 +0900
