=== debian/control ===
Source: deskflow
Section: x11
Priority: optional
Maintainer: HAYASHI Kentaro <kenhys@xdump.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcli11-dev,
 libei-dev,
 libgdk-pixbuf-2.0-dev,
 libglib2.0-dev,
 libgmock-dev,
 libgtest-dev,
 libgtk-3-dev,
 libnotify-dev,
 libportal-dev,
 libpugixml-dev,
 libssl-dev,
 libtomlplusplus-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxtst-dev,
 ninja-build,
 qt6-base-dev,
 qt6-tools-dev,
 x11proto-dev,
 help2man,
 unsupported-architecture [i386 hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 sparc64 x32]
Standards-Version: 4.7.2
Homepage: https://github.com/deskflow/deskflow
Vcs-Browser: https://salsa.debian.org/debian/deskflow
Vcs-Git: https://salsa.debian.org/debian/deskflow.git

Package: deskflow
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Mouse and keyboard sharing utility
 Deskflow is a free and open source keyboard and mouse sharing application
 formerly known as Synergy Community Edition.
 .
 It allows you to use the keyboard, mouse, or trackpad of one computer
 to control other nearby computers, enabling seamless work across
 multiple systems.
 .
 Deskflow is cross-platform and supports all major operating systems,
 including Windows, macOS, Linux, and BSD-derived Unix-like systems. It
 supports Wayland and includes a user-friendly configuration wizard. As
 the upstream project for a commercial fork of Synergy, Deskflow can be
 expected to receive ongoing maintenance.
 .
 Deskflow provides a user interface similar to Barrier, making
 migration from Barrier straightforward.
