=== debian/tests/control ===
Tests: deskflow.sh
Depends: @builddeps@, deskflow, xvfb, xauth
Restrictions: allow-stderr
