=== src/lib/gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# SPDX-FileCopyrightText: 2024 Deskflow Developers
-# SPDX-FileCopyrightText: 2024 Symless Ltd
+# SPDX-FileCopyrightText: (C) 2024 Deskflow Developers
+# SPDX-FileCopyrightText: (C) 2024 Symless Ltd
 # SPDX-License-Identifier: MIT
 
 set(target gui)
@@ -34,8 +34,9 @@
   Messages.h
   ScreenSetupModel.cpp
   ScreenSetupModel.h
-  Styles.h
   StyleUtils.h
+  TlsUtility.cpp
+  TlsUtility.h
   VersionChecker.cpp
   VersionChecker.h
   config/IServerConfig.h
@@ -49,10 +50,10 @@
   config/ServerConfig.h
   core/ClientConnection.cpp
   core/ClientConnection.h
-  core/CommandProcess.cpp
-  core/CommandProcess.h
   core/CoreProcess.cpp
   core/CoreProcess.h
+  core/NetworkMonitor.cpp
+  core/NetworkMonitor.h
   core/ServerConnection.cpp
   core/ServerConnection.h
   core/ServerMessage.cpp
@@ -65,6 +66,9 @@
   dialogs/ActionDialog.cpp
   dialogs/ActionDialog.h
   dialogs/ActionDialog.ui
+  dialogs/ClientConfigDialog.h
+  dialogs/ClientConfigDialog.cpp
+  dialogs/ClientConfigDialog.ui
   dialogs/FingerprintDialog.cpp
   dialogs/FingerprintDialog.h
   dialogs/HotkeyDialog.cpp
@@ -81,10 +85,6 @@
   dialogs/SettingsDialog.ui
   ipc/DaemonIpcClient.cpp
   ipc/DaemonIpcClient.h
-  tls/TlsCertificate.cpp
-  tls/TlsCertificate.h
-  tls/TlsUtility.cpp
-  tls/TlsUtility.h
   validators/AliasValidator.cpp
   validators/AliasValidator.h
   validators/ComputerNameValidator.cpp
@@ -117,6 +117,8 @@
   widgets/NewScreenWidget.h
   widgets/ScreenSetupView.cpp
   widgets/ScreenSetupView.h
+  widgets/SearchWidget.h
+  widgets/SearchWidget.cpp
   widgets/TrashScreenWidget.cpp
   widgets/TrashScreenWidget.h
 )
