## deskflow 1.26.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# SPDX-FileCopyrightText: 2024 - 2025 Deskflow Developers
-# SPDX-FileCopyrightText: 2012 - 2024 Symless Ltd
-# SPDX-FileCopyrightText: 2009 - 2012 Nick Bolton
+# SPDX-FileCopyrightText: (C) 2024 - 2026 Deskflow Developers
+# SPDX-FileCopyrightText: (C) 2012 - 2024 Symless Ltd
+# SPDX-FileCopyrightText: (C) 2009 - 2012 Nick Bolton
 # SPDX-License-Identifier: MIT
 
 cmake_minimum_required(VERSION 3.24)
@@ -10,6 +10,11 @@
 
 # Fix define escaping
 cmake_policy(SET CMP0005 NEW)
+
+# De-duplicate libraries on linker calls
+if(POLICY CMP0156)
+  cmake_policy(SET CMP0156 NEW)
+endif()
 
 # Set CXX Requirements
 set(CMAKE_CXX_STANDARD 20)
@@ -18,7 +23,7 @@
 
 # Fallback for when git can not be found
 set(DESKFLOW_VERSION_MAJOR 1)
-set(DESKFLOW_VERSION_MINOR 25)
+set(DESKFLOW_VERSION_MINOR 26)
 set(DESKFLOW_VERSION_PATCH 0)
 set(DESKFLOW_VERSION_TWEAK 0)
 
@@ -33,38 +38,28 @@
       ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE
     )
     execute_process(
-      COMMAND ${GIT_EXECUTABLE} rev-list --tags --count
+      COMMAND ${GIT_EXECUTABLE} describe --long --match v* --always
       WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
-      OUTPUT_VARIABLE GIT_TAG_COUNT
+      OUTPUT_VARIABLE GITREV
       ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE
     )
-
-    if(${GIT_TAG_COUNT} EQUAL 0)
+    string(FIND "${GITREV}" "v" isRev)
+    if(NOT ${isRev} EQUAL -1)
+      string(REGEX MATCH [0-9]+ MAJOR ${GITREV})
+      string(REGEX MATCH \\.[0-9]+ MINOR ${GITREV})
+      string(REPLACE "." "" MINOR "${MINOR}")
+      string(REGEX MATCH [0-9]+\- PATCH ${GITREV})
+      string(REPLACE "-" "" PATCH "${PATCH}")
+      string(REGEX MATCH \-[0-9]+\- TWEAK ${GITREV})
+      string(REPLACE "-" "" TWEAK "${TWEAK}")
+      set(DESKFLOW_VERSION_MAJOR ${MAJOR})
+      set(DESKFLOW_VERSION_MINOR ${MINOR})
+      set(DESKFLOW_VERSION_PATCH ${PATCH})
+      set(DESKFLOW_VERSION_TWEAK ${TWEAK})
+    else()
       set(DESKFLOW_VERSION_TWEAK "9999")
-    else()
-      execute_process(
-        COMMAND ${GIT_EXECUTABLE} describe --long --match v* --always
-        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
-        OUTPUT_VARIABLE GITREV
-        ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE
-      )
-      string(FIND "${GITREV}" "v" isRev)
-      if(NOT ${isRev} EQUAL -1)
-        string(REGEX MATCH [0-9]+ MAJOR ${GITREV})
-        string(REGEX MATCH \\.[0-9]+ MINOR ${GITREV})
-        string(REPLACE "." "" MINOR "${MINOR}")
-        string(REGEX MATCH [0-9]+\- PATCH ${GITREV})
-        string(REPLACE "-" "" PATCH "${PATCH}")
-        string(REGEX MATCH \-[0-9]+\- TWEAK ${GITREV})
-        string(REPLACE "-" "" TWEAK "${TWEAK}")
-        set(DESKFLOW_VERSION_MAJOR ${MAJOR})
-        set(DESKFLOW_VERSION_MINOR ${MINOR})
-        set(DESKFLOW_VERSION_PATCH ${PATCH})
-        set(DESKFLOW_VERSION_TWEAK ${TWEAK})
-      elseif(NOT ${GITREV} STREQUAL "")
-        set(DESKFLOW_VERSION_TWEAK ${GITREV})
-      endif()
     endif()
+    unset(GITREV)
   endif()
 endif()
 
@@ -89,7 +84,7 @@
 # Define Additional "PROJECT" vars for packaging and metadata
 set(CMAKE_PROJECT_PROPER_NAME "Deskflow")
 set(CMAKE_PROJECT_VENDOR "${CMAKE_PROJECT_PROPER_NAME} Devs")
-set(CMAKE_PROJECT_COPYRIGHT "(C) 2024-2025 ${CMAKE_PROJECT_VENDOR}")
+set(CMAKE_PROJECT_COPYRIGHT "(C) 2024-2026 ${CMAKE_PROJECT_VENDOR}")
 set(CMAKE_PROJECT_CONTACT "${CMAKE_PROJECT_PROPER_NAME} <maintainers@deskflow.org>")
 set(CMAKE_PROJECT_REV_FQDN "org.deskflow.deskflow")
 
@@ -183,8 +178,11 @@
 endif()
 
 add_subdirectory(doc)
+
+# build translations before source, I18N unit tests fail if they are missing
+add_subdirectory(translations)
+
 add_subdirectory(src)
-add_subdirectory(translations)
 
 option(BUILD_INSTALLER "Build installer" ON)
 if(BUILD_INSTALLER)
