=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
   ${CMAKE_PROJECT_NAME}_ja.ts
   ${CMAKE_PROJECT_NAME}_zh_CN.ts
   ${CMAKE_PROJECT_NAME}_ru.ts
+  ${CMAKE_PROJECT_NAME}_ko.ts
 )
 
 set(TR_OPTIONS -no-ui-lines -locations none -silent)
