=== src/apps/deskflow-gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# SPDX-FileCopyrightText: 2024 - 2025 Chris Rizzitello <sithlord48@gmail.com>
-# SPDX-FileCopyrightText: 2024 Symless Ltd
+# SPDX-FileCopyrightText: (C) 2024 - 2025 Chris Rizzitello <sithlord48@gmail.com>
+# SPDX-FileCopyrightText: (C) 2024 Symless Ltd
 # SPDX-License-Identifier: MIT
 
 if(APPLE)
@@ -60,12 +60,8 @@
   set_target_properties(${target} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:LIBCMT")
 
   install(RUNTIME_DEPENDENCY_SET guiDeps
-    PRE_EXCLUDE_REGEXES
-      "api-ms-win-.*"
-      "ext-ms-.*"
-      "^hvsifiletrust\\.dll$"
-    POST_EXCLUDE_REGEXES
-      ".*system32.*"
+    PRE_EXCLUDE_REGEXES ${WIN32_PRE_EXCLUDE_REGEXES}
+    POST_EXCLUDE_REGEXES ${WIN32_POST_EXCLUDE_REGEXES}
     RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
   )
 
@@ -90,6 +86,7 @@
     DIRECTORY ${QT_DEPENDS_DIR}/
     DESTINATION ${CMAKE_INSTALL_LIBDIR}
     PATTERN "dx*.dll" EXCLUDE
+    PATTERN "icu*.dll" EXCLUDE
   )
 
 elseif(APPLE)
