=== debian/changelog ===
deskflow (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.26.0+dfsg
  * debian/control
    - Bump Standards-Version to 4.7.3. Removed needless Priority: field.
    - Drop Rules-Requires-Root: no, it's default since dpkg 1.23.1.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 21 Feb 2026 19:58:26 +0900
