=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: deskflow
 Section: x11
-Priority: optional
 Maintainer: HAYASHI Kentaro <kenhys@xdump.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -32,7 +30,7 @@
  x11proto-dev,
  help2man,
  unsupported-architecture [i386 hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 sparc64 x32]
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/deskflow/deskflow
 Vcs-Browser: https://salsa.debian.org/debian/deskflow
 Vcs-Git: https://salsa.debian.org/debian/deskflow.git
